RPC_GSS_IS_INSTALLED(3)

NAME
rpc_gss_is_installed - Query for the presence of a security mechanism

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_is_installed(const char *mech);

DESCRIPTION
This function indicates whether the GSS_API mechanism named "mech" is installed and enabled.

PARAMETERS

mech
    The name of a GSS_API mechanism. "kerberos_v5" is currently the only supported mechanism.

RETURN VALUES
Returns TRUE if the named GSS_API mechanism is installed and enabled, FALSE otherwise.

AVAILABILITY
The rpc_gss_is_installed() function is part of libtirpc.

SEE ALSO
rpc(3), gssapi(3), rpcsec_gss(3)

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.